import { NextResponse } from "next/server";

export async function POST() {
  async function retrieveAvailableApplication(): Promise<string[]> {
    return new Promise((resolve) => {
      const mockList = [
        "management/account/tenant/something",
        "management/account/tenant/somethingSecond",
        "building/parts/tenant/something",
      ];
      resolve(mockList);
    });
  }

  const availableApplications = await retrieveAvailableApplication();
  return NextResponse.json({
    status: 200,
    data: availableApplications,
  });
}
